body {
    font-family: Arial, sans-serif;
    text-align: center;
    background-color: #f2f2f2;
    color: #333;
    margin: 0;
    padding: 0;
}

header,
footer {
    background-color: #222;
    color: #fff;
}

header {
    padding: 1.5%;
    text-align: center;
}

footer {
    text-align: center;
    padding: 1.25%;
    position: fixed;
    bottom: 0;
    width: 100%;
}

h1,
h2,
p {
    margin: 0;
}

#display-box {
    padding: 20px;
    border: 1px solid #ccc;
    width: 400px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 2.5vh;
    margin-bottom: 2.5vh;
    font-size: 24px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
}

#input-box {
    padding: 10px;
    border-radius: 25px;
    border: none;
    background-color: #f9f9f9;
    width: 300px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
    outline: none;
}

#input-box:hover {
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.4);
    transition: box-shadow 0.3s ease-in-out;
}

#result,
#hint-text,
#score-display {
    font-size: 18px;
    font-weight: bold;
}

.placeholder {
    margin: 2vh;
}

button {
    vertical-align: baseline;
    display: inline-block;
    padding: 10px 15px;
    background-color: black;
    color: #fff;
    border: none;
    border-radius: 25px;
    text-decoration: none;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease-in-out;
}

button:hover {
    box-shadow: 0px 0px 15px rgba(0, 0, 0, 0.4);
    transition: box-shadow 0.3s ease-in-out;
    vertical-align: baseline;
}